cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/clients/<clientId>const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90c",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"emailIsPlaceholder": false,
"relationship": {
"startedAt": "2026-07-14T10:00:00.000Z",
"assignedCoach": {
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "John Doe"
}
},
"phoneNumber": "+31612345678",
"gender": "Female",
"dateOfBirth": "1990-01-01T00:00:00.000Z",
"language": "nl",
"lastActiveAt": "2026-07-14T10:00:00.000Z",
"createdAt": "2026-07-14T10:00:00.000Z",
"location": {
"addressLine1": "Main street 1",
"addressLine2": "Apt 2",
"zipCode": "1011AB",
"city": "Amsterdam",
"country": "Netherlands"
},
"height": "172",
"timeZone": "Europe/Amsterdam",
"profession": "Designer",
"companyName": "Acme",
"customFields": [
{
"defaultLanguage": "string",
"key": "shirt_size",
"label": {},
"type": "text",
"value": "string",
"updatedAt": "2026-07-14T10:00:00.000Z"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Client records
Get a client
GET
/
public
/
v1
/
clients
/
{clientId}
cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/clients/<clientId>const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90c",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"emailIsPlaceholder": false,
"relationship": {
"startedAt": "2026-07-14T10:00:00.000Z",
"assignedCoach": {
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "John Doe"
}
},
"phoneNumber": "+31612345678",
"gender": "Female",
"dateOfBirth": "1990-01-01T00:00:00.000Z",
"language": "nl",
"lastActiveAt": "2026-07-14T10:00:00.000Z",
"createdAt": "2026-07-14T10:00:00.000Z",
"location": {
"addressLine1": "Main street 1",
"addressLine2": "Apt 2",
"zipCode": "1011AB",
"city": "Amsterdam",
"country": "Netherlands"
},
"height": "172",
"timeZone": "Europe/Amsterdam",
"profession": "Designer",
"companyName": "Acme",
"customFields": [
{
"defaultLanguage": "string",
"key": "shirt_size",
"label": {},
"type": "text",
"value": "string",
"updatedAt": "2026-07-14T10:00:00.000Z"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.